Subject: Re: [Anima] I-D Action: draft-behringer-anima-reference-model-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 04 Nov 2014 10:56:33 +1300

Hi,

Yes, I know I'm an author of this draft, but I thought I'd
mention my comments on the list anyway, since there was a bit
of a rush to get it out before the cutoff.

> Abstract
> 
>    This document describes a reference model for Autonomic Networking.
>    The goal is to define how the various elements in an autonomic
>    context work together, to describe their interfaces and relations.

Perhaps we should add that the document is written as generally as
possible but the initial solutions are limited to the chartered scope
of the WG.

We should probably repeat that in the Introduction, plus a note
that it is a living document that will not be finalised until
the initial technical solutions are stable. I hope that we can
fill in the TBD items over the next 12 months.

>   o  MASA: The MASA is service...

Expand the abbreviation when first used.

> 7.5.  Feedback Loops
> 
>    Feedback loops are required in an autonomic network to allow
>    administrator intervention, while maintaining a default behaviour.
>    Through a feedback loop an administrator can be prompted with a
>    default action, and has the possibility to acknowledge or override
>    the proposed default action.

I found this a bit confusing, because we also have closed loops in
autonomic systems, which can also be described as "feedback loops".
Maybe we can just rewrite this using "human intervention".

Also I wonder whether we prefer "operator" or "administrator"?
They have slightly different nuances.

    Brian

Regards
   Brian